/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Window
import Mirai

Rectangle {
	id: control
	property string text
	property string backgroundColor
	property string textColor
	color: backgroundColor
	implicitWidth: childrenRect.width
	implicitHeight: childrenRect.height
	radius: 8

	QtObject {
		id: internal
	}

	AppText {
		color: backend.getTagColor(control.text)
		padding: 2
		leftPadding: 6
		rightPadding: 6
		text: control.text
	}
}
